from aenum import Enum, MultiValueEnum


class Domain(Enum):
    UNSPECIFIED = "!nie ustawiony!"
    THE_HIGHEST_IN_THE_HIERARCHY = "bhp"
    ACTIONS_NAMES = "czy"
    HUMAN_PRODUCTS_NAMES = "wytw"
    ATTRIBUTE = "cech"
    PARTS_OF_BODY = "czc"
    COGNITION = "umy"
    COMMUNICATION = "por"
    EVENT = "zdarz"
    EMOTION = "czuj"
    FOOD = "jedz"
    GROUP = "grp"
    LOCATION = "msc"
    MOTIVE = "cel"
    NATURAL_OBJECT = "rz"
    PERSON = "os"
    NATURAL_PHENOMENON = "zj"
    PLANT = "rsl"
    POSSESSION = "pos"
    PROCESS = "prc"
    QUANTITY = "il"
    ANIMAL = "zw"
    SHAPE = "ksz"
    STATE = "st"
    SUBSTANCE = "sbst"
    TIME = "czas"
    RELATION = "zwz"
    BODY_CARE = "hig"
    CHANGE = "zmn"
    COGNITION_VERBS = "cumy"
    COMMUNICATION_TALKING_SINGING_VERBS = "cpor"
    COMPETITION_VERBS = "wal"
    CONSUMPTION_VERBS = "cjedz"
    CONTACT_VERBS = "dtk"
    CREATION_VERBS = "cwyt"
    EMOTION_VERBS = "cczuj"
    MOTION_VERBS = "ruch"
    PERCEPTION_VERBS = "pst"
    POSSESSION_VERBS = "cpos"
    SOCIAL_VERBS = "sp"
    STATE_VERBS = "cst"
    WEATHER_VERBS = "pog"
    QUALITY_ADJ = "jak"
    RELATION_ADJ = "rel"
    DEVERBAL_ADJ = "odcz"
    DEADJECTIVAL_ADJ = "grad"
    CLASSIFICATION = "sys"
    ADJECTIVE_ALL_ADJ_PWN = "adj"
    ADVERB_ALL_ADV = "adv"
    MATERIALS_ADJ = "mat"
    DISTRIBUTION_VERBS = "cdystr"
    ACCUMULATIVE_VERBS = "caku"
    PERDUTATIVE_VERBS = "cper"
    DELIMITATION_VERBS = "cdel"


class RelationType(MultiValueEnum):
    HYPERNYMS = 11, 171
    ANTONYMS = 12, 170
    CONVERSES = 13
    MERONYMS = 14
    HOLONYMS = 15
    MODIFIERS = 146
    GRADATIONS = 147
    FUZZYNYMS = 19
    MERONYMS_MERONYMS_PART = 20
    MERONYMS_MERONYMS_PORTION = 21
    MERONYMS_MERONYMS_PLACE = 22
    MERONYMS_MERONYMS_ELEMENT_OF_A_COLLECTION = 23
    MERONYMS_MERONYMS_MATERIAL = 24
    HOLONYMS_HOLONYMS_PART = 25
    HOLONYMS_HOLONYMS_PORTION = 26
    HOLONYMS_HOLONYMS_PLACE = 27
    HOLONYMS_HOLONYMS_ELEMENT_OF_A_COLLECTION = 28
    HOLONYMS_HOLONYMS_MATERIAL = 29
    SYNONYMS = 30
    ROLES = 32
    ROLE_INCLUSION = 33
    ROLES_INSTRUMENTS = 36
    ROLES_LOCATIONS = 37
    ROLES_TIMES = 39
    ROLES_UNSPECIFIED_TYPES = 40
    ROLE_INCLUSION_LOCATIONS = 44
    ROLE_INCLUSION_UNSPECIFIED_TYPES = 47
    ROLES_AGENTS_WITH_HIDDEN_PREDICATE = 48
    ROLES_LOCATIONS_WITH_HIDDEN_PREDICATE = 49
    FEMININE_TERMS = 53
    MARKEDNESS = 54
    MARKEDNESS_YOUNG_BEINGS = 55
    MARKEDNESS_DIMINUTIVES = 56
    INHABITANTS = 58
    DERIVATIVES = 59
    INTER_REGISTER_SYNONYMS = 60
    CROSS_CATEGORIAL_SYNONYMS = 61
    CROSS_CATEGORIAL_SYNONYMS_VERB_ADJECTIVE_IMPERFECTIVE_PARTICIPLE = 143
    CROSS_CATEGORIAL_SYNONYMS_NOUN_VERB = 62
    CROSS_CATEGORIAL_SYNONYMS_NOUN_ADJECTIVE = 63
    MERONYMS_TAXONOMIC = 64
    HOLONYMS_TAXONOMIC = 65
    ASPECTS = 73
    ROLES_PATIENTS = 35
    ROLES_RESULTS = 38
    ROLE_INCLUSION_AGENTS = 41
    ROLE_INCLUSION_PATIENTS = 42
    ROLE_INCLUSION_RESULTS = 46
    ROLES_RESULTS_WITH_HIDDEN_PREDICATE = 50
    BEARERS_OF_A_STATE = 51
    STATE = 52
    MARKEDNESS_AUGUMENTATIVES = 57
    HYPONYMS = 10, 173
    ROLES_AGENTS = 34
    ROLE_INCLUSION_TIMES = 43
    ROLE_INCLUSION_INSTRUMENTS = 45
    ASPECTS_PURE_PERFECTIVES_IMPERFECTIVES = 74
    ASPECTS_PURE_IMPERFECTIVES_PERFECTIVES = 75
    VERBAL_HOLONYMS_HOLONYMS_OF_SUBSITUATION = 116
    VERBAL_HOLONYMS_HOLONYMS_OF_ACCOMPANYING_SITUATION = 117
    VERBAL_HOLONYMS = 115
    CAUSES = 80
    CAUSES_CAUSES_IMPERFECTIVE_IMPERFECTICVE = 120
    CAUSES_CAUSES_PERFECTIVE_PERFECTIVE = 121
    PROCESSUALITIES = 86
    STATES = 91
    STATES_VERB_ADJECTIVE = 92
    STATES_VERB_NOUN = 93
    PROCESSUALITIES_IMPERFECTIVE_VERB_ADJECTIVE = 89
    PROCESSUALITIES_IMPERFECTIVE_VERB_NOUN = 90
    ASPECTS_SECONDARY_ASPECTUALITIES_PERFECTIVE_IMPERFECTIVE = 110
    ASPECTS_SECONDARY_ASPECTUALITIES_IMPERFECTIVE_PERFECTIVE = 111
    RECIPROCAL_MEANINGS = 132
    MULTIPLICATIVE_MEANINGS = 133
    MULTIPLICATIVE_MEANINGS_ITERATIVES_IMPERFECTIVE_IMPERFECTIVE = 134
    REFLEXIVE_MEANINGS = 131
    VERBAL_MERONYMS = 112
    VERBAL_MERONYMS_MERONYMS_OF_SUBSITUATION = 113
    VERBAL_MERONYMS_MERONYMS_OF_ACCOMPANYING_SITUATION = 114
    ANTONYMS_COMPLEMENTARY_ANTONYMS = 101
    ANTONYMS_CANONIC_FORMS = 102
    ANTONYMS_PROPER_ANTONYMS = 104
    INSTANCES = 107, 172, 174
    TYPES = 106
    SYNSET_FUZZYNYMS = 108
    PROCESSUALITIES_VERB_PERFECTIVE_ADJECTIVE = 118
    PROCESSUALITIES_VERB_PERFECTIVE_NOUN = 119
    CAUSES_PERFECTIVE_IMPERFECTIVE = 122
    CAUSES_PERFECTIVE_ADJECTIVE = 124
    CAUSES_PERFECTIVE_NOUN = 125
    CAUSES_IMPERFECTIVE_ADJECTIVE = 126
    CAUSES_IMPERFECTIVE_NOUN = 127
    INCHOATIVE_MEANINGS = 128
    INCHOATIVE_MEANINGS_PERFECTIVE_IMPERFECTIVE = 129
    INCHOATIVE_MEANINGS_IMPERFECTIVE_IMPERFECTIVE = 130
    VALUES_OF_THE_ATTRIBUTE = 145
    MULTIPLICATIVE_MEANINGS_DISTRIBUTIVE = 136
    PRESUPPOSITIONALS = 137
    PRECEDINGS = 138
    MULTIPLICATIVE_MEANINGS_ITTERATIVES_IMPERFECTIVE_PERFECTIVE = 140
    CROSS_CATEGORIAL_SYNONYMS_VERB_NOUN = 141
    CROSS_CATEGORIAL_SYNONYMS_ADJECTIVE_NOUN = 142
    CROSS_CATEGORIAL_SYNONYMS_ADJECTIVE_IMPERFECTIVE_PARTICIPLE_VERB = 144
    SIMILITITUDINAL_MEANINGS = 148
    CHARACTERIZING_MEANINGS = 149
    DEGREES = 150
    DEGREES_COMPARATIVES = 151
    DEGREES_SUPERLATIVES = 152
    ROLES_ADJECTIVE_VERBS = 153
    ROLES_ADJECTIVE_VERBS_AGENTS = 154
    ROLES_ADJECTIVE_VERBS_PATIENTS = 155
    ROLES_ADJECTIVE_VERBS_INSTRUMENTS = 156
    ROLES_ADJECTIVE_VERBS_LOCATIONS = 157
    ROLES_ADJECTIVE_VERBS_TIMES = 158
    ROLES_ADJECTIVE_VERBS_RESULTS = 160
    ROLES_ADJECTIVE_VERBS_CAUSES = 161
    PREDISPOSITIONAL_MEANINGS = 162
    PREDISPOSITIONAL_MEANINGS_POTENTIAL = 163
    PREDISPOSITIONAL_MEANINGS_HABITUAL = 164
    PREDISPOSITIONAL_MEANINGS_QUANTITATIVE = 165
    PREDISPOSITIONAL_MEANINGS_EVALUATIONS = 166
    MARKEDNESS_OF_INTENSITY = 168
    MEMBERS = 175
    SUBSTANCES = 176
    HOLONYMS_PARTS = 177
    MERONYMS_MEMBERS = 178
    MERONYMS_SUBSTANCES = 179
    MERONYMS_PARTS = 180
    ATTRIBUTES = 181
    DERIVATIONALLY_RELATED_FORMS = 182
    SYNSET_DOMAINS_TOPIC = 183
    MEMBER_OF_THIS_DOMAIN_TOPIC = 184
    SYNSET_DOMAINS_REGION = 185
    MEMBER_OF_THIS_DOMAIN_REGION = 186
    SYNSET_DOMAINS_USAGE = 187
    MEMBER_OF_THIS_DOMAIN_USAGE = 188
    ENTAILMENTS = 189
    CAUSATIONS = 190
    SEE_ALSO = 191
    VERB_GROUPS = 192
    SIMILAR = 193
    PARTICIPLE_OF_VERB = 194
    PERTAINYMS = 195
    INTER_LINGUAL_HYPERNYMS = 199, 212
    INTER_LINGUAL_MERONYMS_PARTS = 201
    INTER_LINGUAL_HOLONYMS = 204
    POTENTIAL_INTER_LINGUAL_EQUIVALENT = 220, 222, 223
    INTER_LINGUAL_CROSS_CATEGORIAL_SYNONYMS_MADE_OF = 235
    INTER_LINGUAL_CROSS_CATEGORIAL_SYNONYMS_RESEMBLING = 238
    INTER_LINGUAL_CROSS_CATEGORIAL_SYNONYMS_RELATED_TO = 239
    INTER_LINGUAL_SYNONYMS = 198, 208, 209
    INTER_LINGUAL_HYPONYMS = 197, 210, 211
    INTER_LINGUAL_MERONYMS = 200, 214
    INTER_LINGUAL_MERONYMS_ELEMENTS = 202, 215
    INTER_LINGUAL_MERONYMS_MATERIALS = 203, 216
    INTER_LINGUAL_HOLONYMS_PARTS = 205, 217
    INTER_LINGUAL_HOLONYMS_ELEMENTS = 206, 218
    INTER_LINGUAL_HOLONYMS_MATERIALS = 207, 213, 219
    INTER_LINGUAL_PARTIAL_SYNONYMS = 224, 225, 226, 3004, 3005, 3006
    INTER_LINGUAL_INTER_REGISTER_SYNONYMS = 227, 228, 229
    SUMO_INSTANCES = 230
    INTER_LINGUAL_CROSS_CATEGORIAL_SYNONYMS = 232
    TOLE_MATERIAL = 242
    CROSS_CATEGORIAL_SYNONYMS_ADV_ADJ = 244
    SUMO_EQUIVALENT = 3000
    SUMO_SUBSUMED = 3001
    SUMO_INSTANCE_OF = 3002
    CROSS_CATEGORIAL_SYNONYMS_RELATIONAL = 169


class PartOfSpeech(MultiValueEnum):
    NOUN = "rzeczownik", "rzeczownik pwn"
    VERB = "czasownik", "czasownik pwn"
    ADJ = "przymiotnik", "przymiotnik pwn"
    ADV = "przysłówek", "przysłówek pwn"


class Qualifier(Enum):
    NOT_NORMATIVE = "nienorm."
    OLD = "daw."
    REGIONAL = "reg."
    SPECIAL = "specj."
    ENVIRONMENTAL = "środ."
    BOOK = "książk."
    OFFICIAL = "urz."
    VULGARISM = "wulg."
    COMMON = "posp."
    COLLOQUIALISM = "pot."
    GENERAL = "og."


class SentimentType(Enum):
    STRONGLY_NEGATIVE = "- m"
    SLIGHTLY_NEGATIVE = "- s"
    NEUTRAL = "0"
    SLIGHTLY_POSITIVE = "+ s"
    STRONGLY_POSITIVE = "+ m"
